Name:		rtpproxy
Version:	2.2.1
Release:	%autorelease
Summary:	A symmetric RTP proxy
License:        BSD
URL:		http://www.rtpproxy.org
VCS:		scm:git:https://github.com/sippy/rtpproxy.git
Source0:	rtpproxy-%{version}.tar.gz
Source1:	hepconnector-395e565b565ec222baa22bf0b8b67d7c812fe0a2.tar.gz
Source2:	libelperiodic-0e8cbe6896998bc0496494ea3c84b317e75e40d4.tar.gz
Patch1:		rtpproxy-0001-Remove-more-autogenerated-stuff.patch
Patch2:		rtpproxy-0002-Fedora-related-fix-for-docbook-path.patch
Patch3:		rtpproxy-0003-Updated-SysV-init-script-for-legacy-systems.patch
Patch4:		rtpproxy-0004-Improve-configure.ac.patch
Patch5:		rtpproxy-0005-Reverse-debug-nodebug-flags.patch
Patch6:		rtpproxy-0006-Remove-bundled-libucl.patch
Patch7:     rtpproxy-c99.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bcg729-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	gcc
BuildRequires:	gsm-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libsrtp-devel
BuildRequires:	libtool
BuildRequires:	libucl-devel >= 0.8.2
BuildRequires:	libxslt
BuildRequires:	make
BuildRequires:	systemd-devel
BuildRequires:  systemd-rpm-macros
Requires(pre):	/usr/sbin/useradd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd


%description
This is symmetric RTP proxy designed to be used in conjunction with
the SIP Express Router (SER) or any other SIP proxy capable of
rewriting SDP bodies in SIP messages that it processes.


%prep
%autosetup -p1
cd hepconnector
tar xvf %{SOURCE1}  --strip-components 1
cd ..
cd libelperiodic
tar xvf %{SOURCE2}  --strip-components 1
cd ..

%build
autoreconf -ivf
%configure --enable-systemd --disable-static
%make_build
make rtpproxy.8


%install
%make_install
install -D -p -m 0644 rpm/%{name}.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
# install systemd files
install -D -m 0644 -p rpm/%{name}.service %{buildroot}%{_unitdir}/%{name}.service
install -D -m 0644 -p rpm/%{name}.socket %{buildroot}%{_unitdir}/%{name}.socket
install -D -m 0644 -p rpm/%{name}.tmpfiles.conf %{buildroot}%{_tmpfilesdir}/%{name}.conf
mkdir -p %{buildroot}%{_localstatedir}/run/%{name}
install -d %{buildroot}%{_localstatedir}/lib/%{name}


%pre
getent passwd %{name} >/dev/null || \
/usr/sbin/useradd -r -c "RTPProxy service"  -d %{_localstatedir}/lib/%{name} -s /sbin/nologin %{name} 2>/dev/null || :


%post
%systemd_post %{name}.service


%preun
%systemd_preun %{name}.service


%files
%doc AUTHORS README.md README.remote
%license LICENSE
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.socket
%{_tmpfilesdir}/%{name}.conf
%dir %attr(0755, rtpproxy, rtpproxy) %{_localstatedir}/run/%{name}
%{_bindir}/extractaudio
%{_bindir}/makeann
%{_bindir}/rtpproxy
%exclude %{_bindir}/rtpproxy_debug
%exclude %{_libdir}/rtpproxy/*.la
%ifarch %{ix86} x86_64
# requires rdtsc which is available only on x86/x86_64 arches
%{_bindir}/udp_contention
%endif
%{_libdir}/rtpproxy/*.so
%{_mandir}/man8/rtpproxy.8*
%dir %attr(0750, rtpproxy, rtpproxy) %{_localstatedir}/lib/%{name}


%changelog
%autochangelog
